Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.task
Class DatabaseCommandWithCreationParameters

    java.lang.Object
      org.apache.ddlutils.task.Command
          org.apache.ddlutils.task.DatabaseCommand
              org.apache.ddlutils.task.DatabaseCommandWithCreationParameters

Direct Known Subclasses:
  WriteSchemaSqlToFileCommand, WriteSchemaToDatabaseCommand

    public abstract class DatabaseCommandWithCreationParameters

extends DatabaseCommand

Base type for database commands that use creation parameters.

Version:
  $Revision: 289996 $

Field Summary

Fields inherited from class org.apache.ddlutils.task.Command
`_log`

Constructor Summary
`DatabaseCommandWithCreationParameters()`

Method Summary
`void` | `addConfiguredParameter(TableSpecificParameter param)` Adds a parameter which is a name-value pair.
`protected CreationParameters` | `getFilteredParameters(Database model, String platformName, boolean isCaseSensitive)` Filters the parameters for the given model and platform.

Methods inherited from class org.apache.ddlutils.task.DatabaseCommand
`getCatalogPattern, getDatabaseType, getDataSource, getPlatform, getSchemaPattern, isRequiringModel, setPlatformConfiguration`

Methods inherited from class org.apache.ddlutils.task.Command
`execute, handleException, isFailOnError, setFailOnError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseCommandWithCreationParameters

    public DatabaseCommandWithCreationParameters()

Method Detail

### addConfiguredParameter

    public void addConfiguredParameter(TableSpecificParameter param)

  Adds a parameter which is a name-value pair.

  Parameters:
    `param` - The parameter

### getFilteredParameters

    protected CreationParameters getFilteredParameters(Database model,
                                                       String platformName,
                                                       boolean isCaseSensitive)

  Filters the parameters for the given model and platform.

  Parameters:
    `model` - The database model
    `platformName` - The name of the platform
    `isCaseSensitive` - Whether case is relevant when comparing names of tables
  Returns:
    The filtered parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.